Follow

Updating the Linux kernel

Our HiFiBerry Digi and DAC boards are supported in the current Raspberry Pi linux kernel. However, most distributions do not use the latest kernel, but older versions. Therefore you might need to update your kernel. With many distributions this is relatively easy. We provide a guide here.

Note: Always make a backup before updating the kernel! There are lots of things that can go wrong. Power losses during the upgrade will make you system unusable, but also incompatibilities might happen. We can't guarantee that every board will work with every kernel. However, if we know about issue, we will work together with the Raspberry Pi kernel development team to fix these.

Raspbian

This is the easiest as this is the “official” Raspberry distribution. Install the rpi-update package first and then update the kernel:

sudo apt-get install rpi-update
sudo rpi-update

OpenElec

OpenElec uses a very special file system layout and kernel. You can’t simply update the kernel here. Wait for the OpenElec release with integrated HiFiBerry support.

Other distributions (e.g. OSMC)

On many other distributions, rpi-update will also work. However, we can’t guarantee it. You should try this by yourself. If you have any valuable data on your system, back it up before doing this!
Update the repositories

sudo apt-get update

Install rpi-update using apt-get

The easiest way is installing thr necessary rpi-update package using apt-get:

sudo apt-get install -y rpi-update

However on some distributions, this won’t work as the necessary repository is not configured. In this case you will get an error message like this:

E: Unable to locate package rpi-update

In this case you have to use a more complex procedure to install rpi-update – using git.

Install rpi-update via GIT

First install git, curl and binutils

sudo apt-get install -y git-core curl binutils

If you’re not using a Debian-based distribution, apt-get might not work. Check the documentation of your distribution how to install git. It might be installed already.

On many Debian distributions you have to update the SSL certificates first

sudo apt-get install -y ca-certificates

Then install rpi-update via git

sudo wget https://raw.github.com/Hexxeh/rpi-update/master/rpi-update -O /usr/bin/rpi-update && sudo chmod +x /usr/bin/rpi-update

Update the kernel

Now you can run rpi-update

sudo /usr/bin/rpi-update

If you’re not using a raspbian-based distribution, you might get an error message like this:

You appear to be trying to update firmware on an incompatible distribution.

In this case use the following command:

sudo -E RPI_UPDATE_UNSUPPORTED=0 rpi-update
Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments